package org.openxma.dsl.reference.model;

import org.openxma.dsl.platform.valueobject.ValueObjectByteArray;
import org.openxma.dsl.reference.base.model.BaseEntity;
import org.openxma.dsl.reference.types.valueobject.VOBigDecimal;
import org.openxma.dsl.reference.types.valueobject.VOBoolean;
import org.openxma.dsl.reference.types.valueobject.VOByteArray;
import org.openxma.dsl.reference.types.valueobject.VODate;
import org.openxma.dsl.reference.types.valueobject.VODouble;
import org.openxma.dsl.reference.types.valueobject.VOFloat;
import org.openxma.dsl.reference.types.valueobject.VOI18Enumeration;
import org.openxma.dsl.reference.types.valueobject.VOInteger;
import org.openxma.dsl.reference.types.valueobject.VOLong;
import org.openxma.dsl.reference.types.valueobject.VOString;
import org.openxma.dsl.reference.types.valueobject.VOTimestamp;
import org.openxma.dsl.reference.types.valueobject.VOXml;

public interface VODataGen extends BaseEntity  {
	
	VOBigDecimal getPVOBigDecimal();
	void setPVOBigDecimal(VOBigDecimal pVOBigDecimal);
	
	VODate getPVODate();
	void setPVODate(VODate pVODate);
	
	VOTimestamp getPVOTimestamp();
	void setPVOTimestamp(VOTimestamp pVOTimestamp);
	
	VODouble getPVODouble();
	void setPVODouble(VODouble pVODouble);
	
	VOFloat getPVOFloat();
	void setPVOFloat(VOFloat pVOFloat);
	
	VOInteger getPVOInteger();
	void setPVOInteger(VOInteger pVOInteger);
	
	VOLong getPVOLong();
	void setPVOLong(VOLong pVOLong);
	
	VOString getPVOString();
	void setPVOString(VOString pVOString);
	
	VOBoolean getPVOBoolean();
	void setPVOBoolean(VOBoolean pVOBoolean);
	
	VOI18Enumeration getPVOI18Enumeration();
	void setPVOI18Enumeration(VOI18Enumeration pVOI18Enumeration);
	
	VOByteArray getPVOByteArray();
	void setPVOByteArray(VOByteArray pVOByteArray);
	
	VOXml getPVOXml();
	void setPVOXml(VOXml pVOXml);
	
	ValueObjectByteArray getPVOXml2();
	void setPVOXml2(ValueObjectByteArray pVOXml2);
}
