package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.base.model.impl.BaseEntityImpl;
import org.openxma.dsl.reference.model.Order;
import org.openxma.dsl.reference.model.OrderItem;
import org.openxma.dsl.reference.model.Product;

public abstract class OrderItemGenImpl extends BaseEntityImpl implements OrderItem {
	protected Integer itemNo;
	protected Long quantity;
	protected Order order;
	protected Product product;
    
	public Integer getItemNo() {
		return this.itemNo;
	}
	
	public void setItemNo(Integer itemNo) {
		this.itemNo = itemNo;
	}

	public Long getQuantity() {
		return this.quantity;
	}
	
	public void setQuantity(Long quantity) {
		this.quantity = quantity;
	}

	public Order getOrder() {
		return this.order;
	}
	
	public void setOrder(Order order) {
		if (this.order != order) {
			if (this.order != null) {
				this.order.removeOrderItems(this);
			}
			this.order = order;
			if (order != null) {
				order.addOrderItems(this);
			}
		}
	}

	public Product getProduct() {
		return this.product;
	}
	
	public void setProduct(Product product) {
		if (this.product != product) {
			this.product = product;
		}
	}
	
    @Override
    public String toString() {
    	return new StringBuilder("OrderItem [")
    		.append(super.toString()).append(",")
        	.append("itemNo=").append(getItemNo()).append(",")
        	.append("quantity=").append(getQuantity())
        	.append("]")
            .toString();
    }
}
