package org.openxma.dsl.reference.service;

import java.util.Collection;
import org.openxma.dsl.reference.dto.CustomerIdDto;
import org.openxma.dsl.reference.dto.CustomerView;

public interface CustomerServiceGen {
	Collection<CustomerView> findAllByFirstNameAndLastName(String firstName,String lastName);
	Collection<CustomerView> findByNamedQueryCustomerLastName(String lastName);
	Collection<CustomerIdDto> findAllCustomerIds();
	Collection<String> findAllCustomerIdLikeName(String name);
	CustomerView save(CustomerView customerView);
	CustomerView loadCustomerView(String oid);
	void update(CustomerView customerView);
	void deleteCustomer(String oid);
}
