package org.openxma.dsl.reference.validation;

import org.openxma.dsl.platform.validation.Validators;
import org.springframework.validation.Errors;

import org.openxma.dsl.reference.model.Role;

public abstract class RoleGenValidator extends Validators {
		
	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return Role.class.isAssignableFrom(clazz);
	}
	
	public Errors validate(Role role) {
		Errors errors = createErrors(role);
		validate(role,errors);
		return errors;
	}

	public void validate(Object object, Errors errors) {
		Role role = (Role) object;
	}
	
}
