package org.openxma.dsl.reference.validation;

import org.openxma.dsl.platform.validation.Validators;
import org.springframework.validation.Errors;

import org.openxma.dsl.reference.model.RoleGroup;

public abstract class RoleGroupGenValidator extends Validators {
		
	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return RoleGroup.class.isAssignableFrom(clazz);
	}
	
	public Errors validate(RoleGroup roleGroup) {
		Errors errors = createErrors(roleGroup);
		validate(roleGroup,errors);
		return errors;
	}

	public void validate(Object object, Errors errors) {
		RoleGroup roleGroup = (RoleGroup) object;
	}
	
}
