package org.openxma.dsl.reference.validation;

import org.openxma.dsl.platform.validation.Validators;
import org.springframework.validation.Errors;

import org.openxma.dsl.reference.model.SingleRole;

public abstract class SingleRoleGenValidator extends Validators {
		
	@SuppressWarnings("unchecked")
	public boolean supports(Class clazz) {
		return SingleRole.class.isAssignableFrom(clazz);
	}
	
	public Errors validate(SingleRole singleRole) {
		Errors errors = createErrors(singleRole);
		validate(singleRole,errors);
		return errors;
	}

	public void validate(Object object, Errors errors) {
		SingleRole singleRole = (SingleRole) object;
	}
	
}
