package org.openxma.dsl.reference.xma.customeredit.client;

import at.spardat.xma.boot.component.IComponent;
import at.spardat.xma.page.IEmbeddable;

/**
 * This interface defines the public getter and setter
 * for the properties of CustomerEdit.
 *
 */
public interface ICustomerEdit extends IComponent, IEmbeddable {

    /** The name of the component to use in getComponent() */
    public static final String COMPONENT_NAME = "CustomerEdit";

    /**
     * the mode of the component
     */
    public void setMode(String mode);

    /**
     * the id of the selected customer
     */
    public String getSelectedCustomerId();

    /**
     * firstname of the selected customer
     */
    public String getSelectedCustomerFirstName();

    /**
     * lastname of the selected customer
     */
    public String getSelectedCustomerLastName();

}
