package org.openxma.dsl.reference.generator;

import org.openxma.dsl.dom.model.Attribute;
import org.openxma.dsl.dom.model.Entity;
import org.openxma.dsl.dom.model.impl.DefaultNamingStrategy;

public class ReferenceNamingStrategy extends DefaultNamingStrategy {

	@Override
	public String getColumnName(Entity entity, Attribute feature) {
		if (feature instanceof Attribute && ((Attribute)feature).isIdentifier()) {
			return "ID_" + entity.getName().toUpperCase();
		}
		return super.getColumnName(entity, feature);
	}

}
