package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.base.model.impl.BaseEntityImpl;
import org.openxma.dsl.reference.model.Address;

public abstract class AddressGenImpl extends BaseEntityImpl implements Address {
	protected String streetName;
	protected String streetNumber;
	protected String zip;
	protected String city;
	protected String country;
    
	public String getStreetName() {
		return this.streetName;
	}
	
	public void setStreetName(String streetName) {
		this.streetName = streetName;
	}

	public String getStreetNumber() {
		return this.streetNumber;
	}
	
	public void setStreetNumber(String streetNumber) {
		this.streetNumber = streetNumber;
	}

	public String getZip() {
		return this.zip;
	}
	
	public void setZip(String zip) {
		this.zip = zip;
	}

	public String getCity() {
		return this.city;
	}
	
	public void setCity(String city) {
		this.city = city;
	}

	public String getCountry() {
		return this.country;
	}
	
	public void setCountry(String country) {
		this.country = country;
	}
	
    @Override
    public String toString() {
    	return new StringBuilder("Address [")
    		.append(super.toString()).append(",")
        	.append("streetName=").append(getStreetName()).append(",")
        	.append("streetNumber=").append(getStreetNumber()).append(",")
        	.append("zip=").append(getZip()).append(",")
        	.append("city=").append(getCity()).append(",")
        	.append("country=").append(getCountry())
        	.append("]")
            .toString();
    }
}
