package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.base.model.impl.BaseEntityImpl;
import org.openxma.dsl.reference.model.Product;
import org.openxma.dsl.reference.model.ProductImage;

public abstract class ProductImageGenImpl extends BaseEntityImpl implements ProductImage {
	protected String name;
	protected String fileName;
	protected Integer sizeX;
	protected Integer sizeY;
	protected Product product;
    
	public String getName() {
		return this.name;
	}
	
	public void setName(String name) {
		this.name = name;
	}

	public String getFileName() {
		return this.fileName;
	}
	
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public Integer getSizeX() {
		return this.sizeX;
	}
	
	public void setSizeX(Integer sizeX) {
		this.sizeX = sizeX;
	}

	public Integer getSizeY() {
		return this.sizeY;
	}
	
	public void setSizeY(Integer sizeY) {
		this.sizeY = sizeY;
	}

	public Product getProduct() {
		return this.product;
	}
	
	public void setProduct(Product product) {
		if (this.product != product) {
			this.product = product;
			if (product != null) {
				product.setProductImage(this);
			}
		}
	}
	
    @Override
    public String toString() {
    	return new StringBuilder("ProductImage [")
    		.append(super.toString()).append(",")
        	.append("name=").append(getName()).append(",")
        	.append("fileName=").append(getFileName()).append(",")
        	.append("sizeX=").append(getSizeX()).append(",")
        	.append("sizeY=").append(getSizeY())
        	.append("]")
            .toString();
    }
}
