package org.openxma.dsl.reference.model.impl;

import org.openxma.dsl.reference.SupplierAddress;
import org.openxma.dsl.reference.base.ContactInfo;
import org.openxma.dsl.reference.base.model.impl.BaseEntityImpl;
import org.openxma.dsl.reference.model.Supplier;

public abstract class SupplierGenImpl extends BaseEntityImpl implements Supplier {
	protected String companyName;
	protected SupplierAddress address = new SupplierAddress();
	protected ContactInfo contact = new ContactInfo();
    
	public String getCompanyName() {
		return this.companyName;
	}
	
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public SupplierAddress getAddress() {
		return this.address;
	}
	
	public void setAddress(SupplierAddress address) {
		this.address = address;
	}

	public ContactInfo getContact() {
		return this.contact;
	}
	
	public void setContact(ContactInfo contact) {
		this.contact = contact;
	}
	
    @Override
    public String toString() {
    	return new StringBuilder("Supplier [")
    		.append(super.toString()).append(",")
        	.append("companyName=").append(getCompanyName())
        	.append("]")
            .toString();
    }
}
